function [sysStruct]=SystemSetup(angles,omg,Lam,maxM)
% Copyright (c) 2014-2017 by University of Massachusetts Lowell
%Angles-->[theta,phi]
%Returns transverse components of the wavevector
%If system is periodic supply Lam=[LamX,LamY], or Lam=[Lam,Lam]
%For non-periodic system last two arguments are ignored.

smallNum=0;eps(1);

if length(angles)==1
    theta=angles(1);
    phi=0;
elseif length(angles)==2
    theta=angles(1);
    phi=angles(2);
end

% if length(maxM)==1
%     maxM=[maxM,maxM];
% end

if nargin==2
    Lam=1;
    maxM=[0,0];
end
    
NM=2*maxM+1;
nTot=prod(NM);

if length(Lam)==1
    q0=2*pi./[Lam,Lam];
else
    q0=2*pi./Lam;
end

kx0=omg*sind(theta)*cosd(phi);
kxm=kx0+q0(1)*(mod((1:nTot)-1,NM(1))-maxM(1))';

if length(maxM)==2;
ky0=omg*sind(theta)*sind(phi);
kym=ky0+q0(2)*(ceil(((1:nTot))/NM(1))-maxM(2)-1)';
else
kym=0;
end

sysStruct=struct('kx',kxm,'ky',kym,'theta',theta,'phi',phi,'omg',omg,'Lam',Lam,'maxM',maxM,'smallNum',smallNum,'nTot',nTot);
end